Generates a report that compares investment income between two periods.
Security
Class_oAuth(Required scopes: fund.read)
- Partner Integration Environment (Sandbox)https://api.class-pie.com.au/api/1.0/f/{businessCode}/{fundCode}/report-data/accounting-reports/investment-income-comparison
- Production Environmenthttps://api.class.com.au/api/1.0/f/{businessCode}/{fundCode}/report-data/accounting-reports/investment-income-comparison
curl -i -X GET \
'https://api.class-pie.com.au/api/1.0/f/demo-business/demo-fund/report-data/accounting-reports/investment-income-comparison?startDate=2024-07-01&endDate=2025-06-30' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "Data": { "PeriodFrom": "2025-01-01", "PeriodTo": "2025-12-31", "FundName": "DEMO_SMSF_2025", "FundCode": "demo-fund", "ComparisonDetails": [ { "Date": "2025-09-30", "IncomeType": "Dividend", "HoldingDetail": { "GlClassification": "Equity", "Code": "HLD-001", "Name": "Global Equity Fund", "SecurityCode": "SEC-XYZ-123", "SecurityName": "XYZ Corporation", "MarketAndSecurityInfo": { "SecurityCode": "SEC123", "SecurityName": "Global Equity Index Fund", "MarketCode": "ASX", "MarketAcronym": "ASX" } }, "TransactionDetail": { "Description": "string", "IncomeDetail": { "TotalIncome": 12500, "FrankedPercentage": 80, "UnfrankedAmount": 2500, "FrankedAmount": 10000, "FrankingCredit": 4285.71, "ForeignTaxCredit": 300 } }, "AnnouncementDetail": { "Description": "Dividend declared for Q4 2025", "AmountPerUnit": 0.35, "EligibleUnits": 10000, "EstimatedIncome": { "TotalIncome": 12500, "FrankedPercentage": 80, "UnfrankedAmount": 2500, "FrankedAmount": 10000, "FrankingCredit": 4285.71, "ForeignTaxCredit": 300 } } } ] }, "Errors": [ { "Code": "string", "Message": "string" } ] }